Skip to main content
POST
Create an insight silence

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

domain_id
integer
required

The domain ID

Body

application/json
insight_type
string
required

The slug of the insight type

Maximum string length: 64
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
labels
Labels · object
required

A hash table of label names and values that apply to the insight silence

comment
string
required

A comment explaining the reason for the silence

Maximum string length: 180
author
string
required

The author of the silence

Maximum string length: 180
expire_at
string<date-time> | null

The date and time the silence expires in ISO 8601 format

Response

Successful Response

id
string<uuid>
required

A generated unique identifier for the silence

insight_type
string
required

The slug of the insight type

labels
Labels · object
required

A hash table of label names and values that apply to the insight silence

comment
string
required

A comment explaining the reason for the silence

author
string
required

The author of the silence

expire_at
string<date-time> | null
required

The date and time the silence expires in ISO 8601 format